Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class ImplicitActivationPolicyHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.ImplicitActivationPolicyHelper

public class ImplicitActivationPolicyHelper
extends java.lang.Object

Helper class for : ImplicitActivationPolicy

Author:
  OpenORB Compiler

Constructor Summary
`ImplicitActivationPolicyHelper()`

Method Summary
`static ImplicitActivationPolicy` | `extract(Any a)` Extract ImplicitActivationPolicy from an any
`static java.lang.String` | `id()` Return the ImplicitActivationPolicy IDL ID
`static void` | `insert(Any a, ImplicitActivationPolicy t)` Insert ImplicitActivationPolicy into an any
`static ImplicitActivationPolicy` | `narrow(Object obj)` Narrow CORBA::Object to ImplicitActivationPolicy
`static ImplicitActivationPolicy` | `read(InputStream istream)` Read ImplicitActivationPolicy from a marshalled stream
`static TypeCode` | `type()` Return the ImplicitActivationPolicy TypeCode
`static ImplicitActivationPolicy` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ImplicitActivationPolicy
`static void` | `write(OutputStream ostream, ImplicitActivationPolicy value)` Write ImplicitActivationPolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplicitActivationPolicyHelper

    public ImplicitActivationPolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ImplicitActivationPolicy t)

  Insert ImplicitActivationPolicy into an any
  Parameters:
    `a` - an any
    `t` - ImplicitActivationPolicy value

### extract

    public static ImplicitActivationPolicy extract(Any a)

  Extract ImplicitActivationPolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ImplicitActivationPolicy value

### type

    public static TypeCode type()

  Return the ImplicitActivationPolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ImplicitActivationPolicy IDL ID
  Returns:
    an ID

### read

    public static ImplicitActivationPolicy read(InputStream istream)

  Read ImplicitActivationPolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ImplicitActivationPolicy value

### write

    public static void write(OutputStream ostream,
                             ImplicitActivationPolicy value)

  Write ImplicitActivationPolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ImplicitActivationPolicy value

### narrow

    public static ImplicitActivationPolicy narrow(Object obj)

  Narrow CORBA::Object to ImplicitActivationPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ImplicitActivationPolicy Object

### unchecked_narrow

    public static ImplicitActivationPolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ImplicitActivationPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ImplicitActivationPolicy Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD